copyWorkbook {openxlsx} | R Documentation

## Copy a Workbook object.

### Description

Just a wrapper of wb$copy()

### Usage

    copyWorkbook(wb)

### Arguments

`wb` | A workbook object

### Value

Workbook

### Examples

    wb <- createWorkbook()
    wb2 <- wb ## does not create a copy
    wb3 <- copyWorkbook(wb) ## wrapper for wb$copy()

    addWorksheet(wb, "Sheet1") ## adds worksheet to both wb and wb2 but not wb3

    names(wb)
    names(wb2)
    names(wb3)

[Package openxlsx version 4.1.0 Index]